petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatFindZeroRows

Locate all rows that are completely zero in the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFindZeroRows(Mat mat,IS *zerorows)

### Input Parameter

A -the matrix

### Output Parameter

zerorows -the rows that are completely zero

### Notes

zerorows is set to NULL if no rows are zero.

### Level

intermediate

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages